<header>
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
    <div class="container-fluid">
      <a class="navbar-brand" href="https://github.com/ngx-rocket" translate>APP_NAME</a>
      <button
        class="navbar-toggler"
        type="button"
        aria-controls="navbar-menu"
        aria-label="Toggle navigation"
        (click)="toggleMenu()"
        [attr.aria-expanded]="!menuHidden"
      >
        <span class="navbar-toggler-icon"></span>
      </button>
      <div id="navbar-menu" class="collapse navbar-collapse float-xs-none" [ngbCollapse]="menuHidden">
        <div class="navbar-nav me-auto mb-2 mb-lg-0">
          <a class="nav-item nav-link text-uppercase" routerLink="/home" routerLinkActive="active">
            <i class="fas fa-home"></i>
            <span translate>Home</span>
          </a>
          <a class="nav-item nav-link text-uppercase" routerLink="/learn" routerLinkActive="active">
            <i class="fa-solid fa-book"></i>
            <span translate>learn</span>
          </a>
          <a class="nav-item nav-link text-uppercase" routerLink="/quiz" routerLinkActive="active">
            <i class="fas fa-question-circle"></i>
            <span translate>quiz</span>
          </a>
          <a class="nav-item nav-link text-uppercase" routerLink="/leaderboard" routerLinkActive="active">
            <i class="fas fa-sharp fa-regular fa-crown"></i>
            <span translate>Leaderboard</span>
          </a>
        </div>
        <div class="navbar-nav ml-auto">
          <app-language-selector [inNavbar]="true"></app-language-selector>
        </div>
      </div>
    </div>
  </nav>
</header>
